## Index

### Modules

- constants

### Classes

- Http2ServerRequest
- Http2ServerResponse

### Interfaces

- AlternativeServiceOptions
- ClientHttp2Session
- ClientHttp2Stream
- ClientSessionRequestOptions
- Http2SecureServer
- Http2Server
- Http2Session
- Http2Stream
- IncomingHttpHeaders
- IncomingHttpStatusHeader
- SecureClientSessionOptions
- SecureServerOptions
- SecureServerSessionOptions
- ServerHttp2Session
- ServerHttp2Stream
- ServerOptions
- ServerStreamFileResponseOptions
- ServerStreamFileResponseOptionsWithError
- ServerStreamResponseOptions
- SessionOptions
- SessionState
- Settings
- StatOptions
- StreamPriorityOptions
- StreamState

### Type aliases

- ClientSessionOptions
- ServerSessionOptions

### Functions

- connect
- createSecureServer
- createServer
- getDefaultSettings
- getPackedSettings
- getUnpackedSettings

## Type aliases

### ClientSessionOptions

ClientSessionOptions: SessionOptions

- Defined in node_modules/@types/node/http2.d.ts:421

### ServerSessionOptions

ServerSessionOptions: SessionOptions

- Defined in node_modules/@types/node/http2.d.ts:422

## Functions

### connect

- connect(authority: string | URL, listener?: undefined | function): ClientHttp2Session
- connect(authority: string | URL, options?: ClientSessionOptions | SecureClientSessionOptions, listener?: undefined | function): ClientHttp2Session

- - Defined in node_modules/@types/node/http2.d.ts:855

  #### Parameters

  - ##### authority: string | URL

  - ##### Optional listener: undefined | function

  #### Returns ClientHttp2Session

- - Defined in node_modules/@types/node/http2.d.ts:856

  #### Parameters

  - ##### authority: string | URL

  - ##### Optional options: ClientSessionOptions | SecureClientSessionOptions

  - ##### Optional listener: undefined | function

  #### Returns ClientHttp2Session

### createSecureServer

- createSecureServer(onRequestHandler?: undefined | function): Http2SecureServer
- createSecureServer(options: SecureServerOptions, onRequestHandler?: undefined | function): Http2SecureServer

- - Defined in node_modules/@types/node/http2.d.ts:852

  #### Parameters

  - ##### Optional onRequestHandler: undefined | function

  #### Returns Http2SecureServer

- - Defined in node_modules/@types/node/http2.d.ts:853

  #### Parameters

  - ##### options: SecureServerOptions

  - ##### Optional onRequestHandler: undefined | function

  #### Returns Http2SecureServer

### createServer

- createServer(onRequestHandler?: undefined | function): Http2Server
- createServer(options: ServerOptions, onRequestHandler?: undefined | function): Http2Server

- - Defined in node_modules/@types/node/http2.d.ts:849

  #### Parameters

  - ##### Optional onRequestHandler: undefined | function

  #### Returns Http2Server

- - Defined in node_modules/@types/node/http2.d.ts:850

  #### Parameters

  - ##### options: ServerOptions

  - ##### Optional onRequestHandler: undefined | function

  #### Returns Http2Server

### getDefaultSettings

- getDefaultSettings(): Settings

- - Defined in node_modules/@types/node/http2.d.ts:845

  #### Returns Settings

### getPackedSettings

- getPackedSettings(settings: Settings): Settings

- - Defined in node_modules/@types/node/http2.d.ts:846

  #### Parameters

  - ##### settings: Settings

  #### Returns Settings

### getUnpackedSettings

- getUnpackedSettings(buf: Buffer | Uint8Array): Settings

- - Defined in node_modules/@types/node/http2.d.ts:847

  #### Parameters

  - ##### buf: Buffer | Uint8Array

  #### Returns Settings

Generated using TypeDoc